## golang-prometheus-client 0.2.0

=== Makefile ===
# Copyright 2013 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

VERSION=$(shell cat `git rev-parse --show-toplevel`/VERSION)

OS   = $(shell uname)
ARCH = $(shell uname -m)

MAC_OS_X_VERSION ?= 10.8

BUILD_PATH = $(PWD)/.build

export GO_VERSION = 1.4
export GOOS       = $(subst Darwin,darwin,$(subst Linux,linux,$(subst FreeBSD,freebsd,$(OS))))

ifeq ($(GOOS),darwin)
RELEASE_SUFFIX ?= -osx$(MAC_OS_X_VERSION)
else
RELEASE_SUFFIX ?=
endif

# Never honor GOBIN, should it be set at all.
unexport GOBIN

export GOARCH		  = $(subst x86_64,amd64,$(patsubst i%86,386,$(ARCH)))
export GOPKG		  = go$(GO_VERSION).$(GOOS)-$(GOARCH)$(RELEASE_SUFFIX).tar.gz
export GOURL		  = https://golang.org/dl
export GOROOT		  = $(BUILD_PATH)/root/go
export GOPATH		  = $(BUILD_PATH)/root/gopath
export GOCC		  = $(GOROOT)/bin/go
export TMPDIR		  = /tmp
export GOENV		  = TMPDIR=$(TMPDIR) GOROOT=$(GOROOT) GOPATH=$(GOPATH)
export GO	          = $(GOENV) $(GOCC)
export GOFMT		  = $(GOROOT)/bin/gofmt
export GODOC              = $(GOENV) $(GOROOT)/bin/godoc

BENCHMARK_FILTER ?= .

FULL_GOPATH = $(GOPATH)/src/github.com/prometheus/client_golang
FULL_GOPATH_BASE = $(GOPATH)/src/github.com/prometheus

MAKE_ARTIFACTS = search_index $(BUILD_PATH) example_random example_simple

all: test

$(BUILD_PATH):
	mkdir -vp $(BUILD_PATH)

$(BUILD_PATH)/cache: $(BUILD_PATH)
	mkdir -vp $(BUILD_PATH)/cache

$(BUILD_PATH)/root: $(BUILD_PATH)
	mkdir -vp $(BUILD_PATH)/root

$(BUILD_PATH)/cache/$(GOPKG): $(BUILD_PATH)/cache
	curl -o $@ -L $(GOURL)/$(GOPKG)

$(GOCC): $(BUILD_PATH)/root $(BUILD_PATH)/cache/$(GOPKG)
	tar -C $(BUILD_PATH)/root -xzf $(BUILD_PATH)/cache/$(GOPKG)
	touch $@

build: source_path dependencies
	$(GO) build ./...

dependencies: source_path $(GOCC)
	$(GO) get -d -t ./...

example_random: source_path dependencies examples/random/main.go
	$(GO) build -o example_random examples/random/main.go

example_simple: source_path dependencies examples/simple/main.go
	$(GO) build -o example_simple examples/simple/main.go

test: build
	$(GO) test -short ./...

benchmark: build
	$(GO) test -benchmem -test.bench="$(BENCHMARK_FILTER)" ./...

advice: test
	$(GO) vet ./...

format:
	find . -iname '*.go' | grep -vE '^./(.build|_vendor)/' | xargs -n1 -P1 $(GOFMT) -w -s=true

tag:
	git tag $(VERSION)
	git push --tags

search_index:
	$(GODOC) -index -write_index -index_files='search_index'

# source_path is responsible for ensuring that the builder has not done anything
# stupid like working on Prometheus outside of ${GOPATH}.
source_path:
	-[ -d "$(FULL_GOPATH)" ] || { mkdir -vp $(FULL_GOPATH_BASE) ; ln -s "$(PWD)" "$(FULL_GOPATH)" ; }
	[ -d "$(FULL_GOPATH)" ]

documentation: search_index
	$(GODOC) -http=:6060 -index -index_files='search_index'

clean:
	rm -rf $(MAKE_ARTIFACTS)
	find . -iname '*~' -exec rm -f '{}' ';'
	find . -iname '*#' -exec rm -f '{}' ';'

.PHONY: advice build clean documentation format source_path test

=== debian/changelog ===
golang-prometheus-client (0.2.0-1+1) unstable; urgency=medium

  * Re-build with current versions of build dependencies.

 -- Martín Ferrari <tincho@debian.org>  Sun, 01 Mar 2015 13:43:22 +0000

golang-prometheus-client (0.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #779260)

 -- Martín Ferrari <tincho@debian.org>  Thu, 26 Feb 2015 14:12:39 +0000

=== debian/control ===
Source: golang-prometheus-client
Section: devel
Priority: extra
Maintainer: Martín Ferrari <tincho@debian.org>
Build-Depends: debhelper (>= 9.0.0), dh-golang, golang-go,
 golang-goprotobuf-dev, golang-protobuf-extensions-dev, golang-procfs-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/golang-prometheus-client.git/
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/golang-prometheus-client.git/
Homepage: https://github.com/prometheus/client_golang.git

Package: golang-prometheus-client-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: Prometheus instrumentation library for Go applications
 This is the Prometheus Go client library. It provides two main functions:
 .
 * The exposition library is used to export metrics to a Prometheus server or
   pushgateway.
 .
 * The consumption library is used to process metrics exported by a Prometheus
   client. (The Prometheus server is using that library.)

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# DH_GOPKG is the upstream path which you would normally “go get”.
# Using it allows us to build applications without patching locations.
export DH_GOPKG := github.com/prometheus/client_golang

# Exclude test code from compilation and installation.
export DH_GOLANG_EXCLUDES := examples

%:
	dh $@ --buildsystem=golang --with=golang

# All this is a hack to embed cleanly the protobuf definition which upstream
# maintains in a separate repo. The upstream .proto is included in the debian/
# directory, then compiled into a go source file in the place expected by the
# rest of the code.

BUILDDIR := $(shell perl -w -MDebian::Debhelper::Buildsystem::golang -e \
    'print Debian::Debhelper::Buildsystem::golang->new()->get_builddir()')
PROTODIR := $(CURDIR)/$(BUILDDIR)/src/github.com/prometheus/client_model/go

override_dh_auto_configure:
	dh_auto_configure -O--buildsystem=golang
	mkdir -p $(PROTODIR)
	cd debian; protoc metrics.proto --go_out=$(PROTODIR)
	# Include test fixtures.
	cp -av extraction/fixtures $(BUILDDIR)/src/$(DH_GOPKG)/extraction

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/client_golang-$1.tar.gz/" \
         https://github.com/prometheus/client_golang/tags \
         (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## golang-prometheus-client 0.6.0+ds

=== debian/changelog ===
golang-prometheus-client (0.6.0+ds-1) unstable; urgency=medium

  * New upstream release, which includes an incompatible change in metric
    fingerprints, so invalidates all past storage. This is not a problem yet,
    because prometheus is still not uploaded to Debian.
  * debian/patches: Refresh, remove unneeded patch.
  * Upstream now vendors all dependencies: remove the ones already in Debian.
  * New patch: Fix import path for remaining vendored dependencies.
  * Update watchfile for repackaging mangle.
  * Add missing binary dependencies.
  * Reduce the length of the vendored dependencies import names.
  * Fix bug in which the compiled protocol buffer was not found by code using
    this package.

 -- Martín Ferrari <tincho@debian.org>  Mon, 29 Jun 2015 16:19:04 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Priority: extra
 Maintainer: Martín Ferrari <tincho@debian.org>
 Build-Depends: debhelper (>= 9.0.0), dh-golang, golang-go,
- golang-goprotobuf-dev, golang-protobuf-extensions-dev, golang-procfs-dev
+ golang-goprotobuf-dev (>= 0.0~git20150526),
+ golang-protobuf-extensions-dev (>= 0+git20150225),
+ golang-procfs-dev
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/golang-prometheus-client.git/
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/golang-prometheus-client.git/
@@ -11,7 +13,8 @@
 
 Package: golang-prometheus-client-dev
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, golang-goprotobuf-dev,
+ golang-protobuf-extensions-dev (>= 0+git20150225), golang-procfs-dev
 Built-Using: ${misc:Built-Using}
 Description: Prometheus instrumentation library for Go applications
  This is the Prometheus Go client library. It provides two main functions:

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Using it allows us to build applications without patching locations.
 export DH_GOPKG := github.com/prometheus/client_golang
 
-# Exclude test code from compilation and installation.
+# Exclude sample code from compilation and installation.
 export DH_GOLANG_EXCLUDES := examples
 
 %:
@@ -20,11 +20,17 @@
 
 BUILDDIR := $(shell perl -w -MDebian::Debhelper::Buildsystem::golang -e \
     'print Debian::Debhelper::Buildsystem::golang->new()->get_builddir()')
-PROTODIR := $(CURDIR)/$(BUILDDIR)/src/github.com/prometheus/client_model/go
+PROTODIR := $(CURDIR)/$(BUILDDIR)/src/$(DH_GOPKG)/client_model
+DESTDEPSDIR := $(BUILDDIR)/src/$(DH_GOPKG)/deps
 
 override_dh_auto_configure:
 	dh_auto_configure -O--buildsystem=golang
 	mkdir -p $(PROTODIR)
 	cd debian; protoc metrics.proto --go_out=$(PROTODIR)
+	# Move vendored dependencies to a saner path.
+	mv -v $(BUILDDIR)/src/$(DH_GOPKG)/Godeps/_workspace/src $(DESTDEPSDIR)
+	rm -rf $(BUILDDIR)/src/$(DH_GOPKG)/Godeps
 	# Include test fixtures.
 	cp -av extraction/fixtures $(BUILDDIR)/src/$(DH_GOPKG)/extraction
+	cp -av Godeps/_workspace/src/github.com/beorn7/perks/quantile/exampledata.txt \
+	    $(DESTDEPSDIR)/github.com/beorn7/perks/quantile/

## golang-prometheus-client 0.7.0+ds

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 BUILD_PATH = $(PWD)/.build
 
-export GO_VERSION = 1.4
+export GO_VERSION = 1.4.2
 export GOOS       = $(subst Darwin,darwin,$(subst Linux,linux,$(subst FreeBSD,freebsd,$(OS))))
 
 ifeq ($(GOOS),darwin)
@@ -73,7 +73,7 @@
 	$(GO) build ./...
 
 dependencies: source_path $(GOCC)
-	$(GO) get -d -t ./...
+	cp -a $(CURDIR)/Godeps/_workspace/src/* $(GOPATH)/src
 
 example_random: source_path dependencies examples/random/main.go
 	$(GO) build -o example_random examples/random/main.go
@@ -91,7 +91,7 @@
 	$(GO) vet ./...
 
 format:
-	find . -iname '*.go' | grep -vE '^./(.build|_vendor)/' | xargs -n1 -P1 $(GOFMT) -w -s=true
+	find . -iname '*.go' | grep -vE '^./(.build|Godeps)/' | xargs -n1 -P1 $(GOFMT) -w -s=true
 
 tag:
 	git tag $(VERSION)

=== debian/changelog ===
golang-prometheus-client (0.7.0+ds-3) unstable; urgency=medium

  * Add -common as new dependency, remove the private copy of the model
    protobuf.
  * Skip another flaky test.

 -- Martín Ferrari <tincho@debian.org>  Mon, 11 Jan 2016 19:13:47 +0000

golang-prometheus-client (0.7.0+ds-2) unstable; urgency=medium

  * Disable flaky TestSummaryDecay test. Closes: #796421.

 -- Martín Ferrari <tincho@debian.org>  Sat, 22 Aug 2015 09:41:21 +0000

golang-prometheus-client (0.7.0+ds-1) unstable; urgency=medium

  * debian/control: Migration to pkg-go team.
  * Add missing test data.
  * New upstream version.

 -- Martín Ferrari <tincho@debian.org>  Sat, 22 Aug 2015 00:10:11 +0200

=== debian/control ===
Source: golang-prometheus-client
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>
Build-Depends: debhelper (>= 9.0.0), dh-golang, golang-go,
               golang-github-prometheus-common-dev,
               golang-goprotobuf-dev (>= 0.0~git20150526),
               golang-protobuf-extensions-dev (>= 0+git20150225),
               golang-procfs-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-prometheus-client.git/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/golang-prometheus-client.git/
Homepage: https://github.com/prometheus/client_golang.git

Package: golang-prometheus-client-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
         golang-github-prometheus-common-dev,
         golang-goprotobuf-dev,
         golang-protobuf-extensions-dev (>= 0+git20150225),
         golang-procfs-dev
Built-Using: ${misc:Built-Using}
Description: Prometheus instrumentation library for Go applications
 This is the Prometheus Go client library. It provides two main functions:
 .
 * The exposition library is used to export metrics to a Prometheus server or
   pushgateway.
 .
 * The consumption library is used to process metrics exported by a Prometheus
   client. (The Prometheus server is using that library.)

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# DH_GOPKG is the upstream path which you would normally “go get”.
# Using it allows us to build applications without patching locations.
export DH_GOPKG := github.com/prometheus/client_golang

# Exclude sample code from compilation and installation.
export DH_GOLANG_EXCLUDES := examples

%:
	dh $@ --buildsystem=golang --with=golang

BUILDDIR := $(shell perl -w -MDebian::Debhelper::Buildsystem::golang -e \
    'print Debian::Debhelper::Buildsystem::golang->new()->get_builddir()')
DESTDEPSDIR := $(BUILDDIR)/src/$(DH_GOPKG)/deps

DEBVERS    ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION    ?= $(shell echo '$(DEBVERS)' | sed 's/^[[:digit:]]*://; s/[-].*//')
DEBPKGNAME ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Source: //p')

override_dh_auto_configure:
	dh_auto_configure -O--buildsystem=golang
	# Move vendored dependencies to a saner path.
	mv -v $(BUILDDIR)/src/$(DH_GOPKG)/Godeps/_workspace/src $(DESTDEPSDIR)
	rm -rf $(BUILDDIR)/src/$(DH_GOPKG)/Godeps
	# Include test fixtures.
	cp -av extraction/fixtures $(BUILDDIR)/src/$(DH_GOPKG)/extraction
	cp -av text/testdata $(BUILDDIR)/src/$(DH_GOPKG)/text
	cp -av Godeps/_workspace/src/github.com/beorn7/perks/quantile/exampledata.txt \
	    $(DESTDEPSDIR)/github.com/beorn7/perks/quantile/

gen-orig-tgz:
	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ] ; then \
            git archive --format=tar.gz --prefix=$(DEBPKGNAME)-$(VERSION)/ \
            upstream/$(VERSION) >../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ; \
	fi
